osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable > Struct Template Reference

`#include <dfpn.h>`

Collaboration diagram for osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >:
[legend]

## Public Member Functions
| CallProofOracleAttack (Dfpn *s, const ProofOracle &o, int pl)
void | operator() (Square) const

## Public Attributes
Dfpn * | search
ProofOracle | oracle
int | proof_limit

## Detailed Description

### template<Player P, bool UseTable>
struct osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >

Definition at line 171 of file dfpn.h.

## Constructor & Destructor Documentation

template<Player P, bool UseTable>

osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >::CallProofOracleAttack | ( | Dfpn * | s,
|  | const ProofOracle & | o,
|  | int | pl
| ) |  |
| inline

Definition at line 2760 of file dfpn.cc.

## Member Function Documentation

template<Player P, bool UseTable>

void osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >::operator() | ( | Square | ) |  | const
| inline

Definition at line 2763 of file dfpn.cc.

References search().

## Member Data Documentation

template<Player P, bool UseTable>

ProofOracle osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >::oracle

Definition at line 2758 of file dfpn.cc.

template<Player P, bool UseTable>

int osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >::proof_limit

Definition at line 2759 of file dfpn.cc.

template<Player P, bool UseTable>

Dfpn* osl::checkmate::Dfpn::CallProofOracleAttack< P, UseTable >::search

Definition at line 2757 of file dfpn.cc.

The documentation for this struct was generated from the following files:

- dfpn.h
- dfpn.cc